package com.upscapesoft.instasaverapp.helper;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.graphics.Point;
import android.os.Environment;
import android.view.Display;
import android.view.WindowManager;

import com.upscapesoft.instasaverapp.R;
import com.upscapesoft.instasaverapp.interfaces.OnClick;

import java.io.File;

public class Method {

    public Activity activity;
    private OnClick onClick;
    public SharedPreferences pref;
    public SharedPreferences.Editor editor;
    private final String myPreference = "Instagram";
    public static boolean isDownload = true;

    public Method(Activity activity) {
        this.activity = activity;
        pref = activity.getSharedPreferences(myPreference, 0);
        editor = pref.edit();
    }

    public Method(Activity activity, OnClick onClick) {
        this.activity = activity;
        this.onClick = onClick;
        pref = activity.getSharedPreferences(myPreference, 0);
        editor = pref.edit();
    }

    public File getDownload() {
        return new File(
                Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS)
                        .toString() + File.separator + activity.getResources().getString(R.string.app_name) + File.separator
        );
    }

    public int getScreenWidth() {
        int columnWidth;
        WindowManager wm = (WindowManager) activity.getSystemService(Context.WINDOW_SERVICE);
        Display display = wm.getDefaultDisplay();

        final Point point = new Point();

        point.x = display.getWidth();
        point.y = display.getHeight();

        columnWidth = point.x;
        return columnWidth;
    }

    public void onClick(final int position, final String type, final String data) {
        onClick.show(position, type, data);
    }

}
